Bug 87794 - SIDEBAR: Media playback content panel/section
Summary: SIDEBAR: Media playback content panel/section
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Susobhan Ghosh
QA Contact:
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: Sidebar-Properties-New-Content-Panels
  Show dependency treegraph
 
Reported: 2014-12-28 13:39 UTC by Yousuf Philips (jay)
Modified: 2016-10-23 19:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
mockup (33.79 KB, image/png)
2015-03-01 10:48 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-12-28 13:39:51 UTC
In impress, when you click on a media clip a whole toolbar row is taken up by the popup media playback toolbar, so it would be better to move this functionality into the sidebar, as presently the sidebar properties tab only has the 'position and size' content panel in it, which leaves it pretty much empty.
Comment 1 A (Andy) 2014-12-28 16:38:04 UTC
For me this seems to be reasonable and sounds like a very good idea, because it would then not take not necessary further space of the main window and because in the PROPERTIES context Sidebar is a lot of unused space.

Steps to Reproduce:
1. Open IMPRESS
2. Go to INSERT -> MOVIE AND SOUND and insert a sound or video file
3. (Optional if you had never activated the Media Playback in the past) Go to VIEW -> TOOLSBARS -> Select the MEDIA PLAYBACK toolbar 
4. Click on the media file

Result: The Media Playback toolbar appears in an extra line at the bottom.  Here you can now start the file, stop it, wind it forward etc. 
Now take a look at the Sidebar on the right.  In PROPERTIES section of the Sidebar you have only the Position and Size values and a lot of unused space below. 


Reproducible with LO 4.3.4.1 (Win 8.1).


@Jay: Do you have the same further issues as I?  
I have no tooltips for the Wind Forwards and Volume controllers.
The buttons in Media Playback toolbar could be a little bit darker or have a higher contrast (in case of SIFR, CRYSTAL and TANGO icon style).  The SIFR, CRYSTAL and TANGO icon style have all the same buttons.
Does the Scale View drop-down list box have any effect for you?
Comment 2 Yousuf Philips (jay) 2014-12-28 21:54:23 UTC
(In reply to A (Andy) from comment #1)
> @Jay: Do you have the same further issues as I?  
> I have no tooltips for the Wind Forwards and Volume controllers.

Yes there aint tooltips for it, you should file that one. CC me if you want me to confirm it. :D

> The buttons in Media Playback toolbar could be a little bit darker or have a
> higher contrast (in case of SIFR, CRYSTAL and TANGO icon style).  The SIFR,
> CRYSTAL and TANGO icon style have all the same buttons.

Yes the gradient on the stroke is causing it not to look that crisp. Yes they are all falling back on the tango icons.

> Does the Scale View drop-down list box have any effect for you?

No it is disabled for me and the tooltip just says 'View' which i was wondering what that was supposed to mean.
Comment 3 Yousuf Philips (jay) 2015-03-01 10:48:53 UTC
Created attachment 113793 [details]
mockup

Here is a mockup i through together from the controls in the toolbar.
Comment 4 Commit Notification 2016-08-15 12:41:28 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c2f95e69684948aa2db75b95afbf7a5eb77be953

tdf#87794: Media Playback Panel

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Yousuf Philips (jay) 2016-08-15 16:26:36 UTC
To clarify, the patch was Susobhan's and i only tweaked the UI a bit in it. :D
Comment 6 Commit Notification 2016-09-13 17:35:26 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9adafa3283dfc48a433ef9761a1ab7f7f672278f

tdf#87794 Hide contextual media player toolbar

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.